"""
Compute Kronecker coefficients.

Depends on Sage.
"""

def kron(lamb, mu, nu):
    """Returns the Kronecker coefficient k(lamb,mu,nu)."""
    Sym = SymmetricFunctions(QQ)
    s = Sym.schur()

    try:
        return s(lamb).itensor(s(mu)).monomial_coefficients()[Partition(nu)]
    except KeyError:
        return 0

if __name__ == '__main__':
    import sys
    if len(sys.argv) != 2:
        print "Usage: %s <lambda>"%sys.argv[0]
        print "Outputs the Kronecker coefficient of the partition triple lambda."
        sys.exit(1)
    else:
        lamb_triple = sys.argv[1]
        print str(kron(*eval(lamb_triple)))
