"""
Compute Kronecker coefficients.

Depends on Sage.
"""

# This file was *autogenerated* from the file /Users/jzuiddam/Dropbox/Research/Projects/BorderSupportRank/notes/bordersupportrank/article/anc/python/kron.sage
from sage.all_cmdline import *   # import sage library

_sage_const_2 = Integer(2); _sage_const_1 = Integer(1); _sage_const_0 = Integer(0)
def kron(lamb, mu, nu):
    """Returns the Kronecker coefficient k(lamb,mu,nu)."""
    Sym = SymmetricFunctions(QQ)
    s = Sym.schur()

    try:
        return s(lamb).itensor(s(mu)).monomial_coefficients()[Partition(nu)]
    except KeyError:
        return _sage_const_0 

if __name__ == '__main__':
    import sys
    if len(sys.argv) != _sage_const_2 :
        print "Usage: %s <lambda>"%sys.argv[_sage_const_0 ]
        print "Outputs the Kronecker coefficient of the partition triple lambda."
        sys.exit(_sage_const_1 )
    else:
        lamb_triple = sys.argv[_sage_const_1 ]
        print str(kron(*eval(lamb_triple)))

